PETSc version 3.15.5
Fix/Edit manual page

# PetscMatlabEngineCreate

Creates a MATLAB engine object

### Synopsis

    #include "petscmatlab.h"
    PetscErrorCode  PetscMatlabEngineCreate(MPI_Comm comm,const char host[],PetscMatlabEngine *mengine)

Not Collective

### Input Parameters

| comm | - a separate MATLAB engine is started for each process in the communicator
| host | - name of machine where MATLAB engine is to be run (usually NULL)

### Output Parameter

| mengine | - the resulting object

### Options Database

| -matlab_engine_graphics | - allow the MATLAB engine to display graphics
| -matlab_engine_host | - hostname, machine to run the MATLAB engine on
| -info | - print out all requests to MATLAB and all if its responses (for debugging)

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEnginePut(), PetscMatlabEngineGet(),
PetscMatlabEngineEvaluate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), PETSC_MATLAB_ENGINE_(), PetscMatlabEnginePutArray(), PetscMatlabEngineGetArray(), PetscMatlabEngine

### Level

advanced

### Location

src/sys/classes/matlabengine/matlab.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages